# - Try to find the SQLite3 library
# Once done this will define
#
#  SQLITE3_FOUND - system has the SQLite3 library
#  SQLITE3_INCLUDE_DIR - the SQLite3 include directory
#  SQLITE3_LIBRARIES - The libraries needed to use SQLite3

if (SQLITE3_INCLUDE_DIR AND SQLITE3_LIBRARIES)
  # Already in cache, be silent
  set(SQLITE3_FIND_QUIETLY TRUE)
endif (SQLITE3_INCLUDE_DIR AND SQLITE3_LIBRARIES)

find_path(SQLITE3_INCLUDE_DIR sqlite3.h)
find_library(SQLITE3_LIBRARIES NAMES sqlite3)

include(FindPackageHandleStandardArgs)
find_package_handle_standard_args(SQLite3 DEFAULT_MSG SQLITE3_INCLUDE_DIR SQLITE3_LIBRARIES)

mark_as_advanced(SQLITE3_INCLUDE_DIR SQLITE3_LIBRARIES)
